Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 17-07-2014 21:44:15

caliban
Membre
Distrib. : Version 7.6 Wheezy 32 bits
Noyau : Noyau Linux 3.2.0-4 Powerpc
(G)UI : Gnome 3.4.2
Inscription : 02-04-2010
Site Web

(RESOLU) Impossible d'installer Adobe Flash

Bonjour,

j'ai suivi les conseils de la page du Wiki (http://debian-facile.org/doc:media:flash?s[]=flash) concernant Flash et ait donc procédé à une MAJ des sources.list en y ajoutant contrib

j'ai fait apt-get update

puis : apt-get install flashplugin-nonfree

mais le terminal répond de cette manière :
Aucune version du paquet flashplugin-nonfree n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source


E: Le paquet « flashplugin-nonfree » n'a pas de version susceptible d'être installée


Octopus Riot ma conseillé d'aller sur cette discussion : http://debian-facile.org/viewtopic.php?pid=94790#p94790

sans succès

un idée?

merci d'avance

Dernière modification par caliban (18-07-2014 14:05:12)


Caliban

Hors ligne

#2 17-07-2014 21:54:54

Haricophile
Adhérent(e)
Lieu : Pignans (Var)
Distrib. : SID
Noyau : 4.0.0-1-amd64
(G)UI : Mate / i3 selon...
Inscription : 14-09-2009

Re : (RESOLU) Impossible d'installer Adobe Flash

On pourrait avoir une idée du contenu de ton fichier /etc/apt/sources.list  et de ceux qui pourraient se trouver dans /etc/apt/sources.list.d/ ?

Ou alternativement le résultat de la commande :

apt-cache policy

Dernière modification par Haricophile (17-07-2014 21:56:17)


« Un optimiste, explique Raymond Aubrac, n’est pas un être satisfait, content de la situation actuelle. C’est quelqu’un qui pense qu’il peut faire quelque chose qui servira. »

Hors ligne

#3 17-07-2014 22:40:53

caliban
Membre
Distrib. : Version 7.6 Wheezy 32 bits
Noyau : Noyau Linux 3.2.0-4 Powerpc
(G)UI : Gnome 3.4.2
Inscription : 02-04-2010
Site Web

Re : (RESOLU) Impossible d'installer Adobe Flash

Voilà :

#

# deb cdrom:[Debian GNU/Linux 7.6.0 _Wheezy_ - Official powerpc DVD Binary-1 20140712-15:08]/ wheezy contrib main

deb cdrom:[Debian GNU/Linux 7.6.0 _Wheezy_ - Official powerpc DVD Binary-1 20140712-15:08]/ wheezy contrib main

deb http://ftp.fr.debian.org/debian/ wheezy main
deb-src http://ftp.fr.debian.org/debian/ wheezy main

deb http://security.debian.org/ wheezy/updates main contrib
deb-src http://security.debian.org/ wheezy/updates main contrib

# wheezy-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ wheezy-updates main contrib
deb-src http://ftp.fr.debian.org/debian/ wheezy-updates main contrib

# stable-contrib
deb http://cdn.debian.net/debian/ stable main contrib
# stable updates-contrib
deb http://cdn.debian.net/debian/ stable-updates main contrib
# wheezy security-contrib
deb http://security.debian.org/ stable/updates main contrib



et avec cache policy :

root@emac:/home/caliban# apt-cache policy
Fichiers du paquet :
 100 /var/lib/dpkg/status
     release a=now
 500 http://security.debian.org/ stable/updates/main Translation-en
 500 http://security.debian.org/ stable/updates/contrib Translation-en
 500 http://security.debian.org/ stable/updates/contrib powerpc Packages
     release v=7.0,o=Debian,a=stable,n=wheezy,l=Debian-Security,c=contrib
     origin security.debian.org
 500 http://security.debian.org/ stable/updates/main powerpc Packages
     release v=7.0,o=Debian,a=stable,n=wheezy,l=Debian-Security,c=main
     origin security.debian.org
 500 http://cdn.debian.net/debian/ stable-updates/main Translation-en
 500 http://cdn.debian.net/debian/ stable-updates/contrib Translation-en
 500 http://cdn.debian.net/debian/ stable-updates/contrib powerpc Packages
     release o=Debian,a=stable-updates,n=wheezy-updates,l=Debian,c=contrib
     origin cdn.debian.net
 500 http://cdn.debian.net/debian/ stable-updates/main powerpc Packages
     release o=Debian,a=stable-updates,n=wheezy-updates,l=Debian,c=main
     origin cdn.debian.net
 500 http://cdn.debian.net/debian/ stable/main Translation-fr
 500 http://cdn.debian.net/debian/ stable/main Translation-en
 500 http://cdn.debian.net/debian/ stable/contrib Translation-en
 500 http://cdn.debian.net/debian/ stable/contrib powerpc Packages
     release v=7.6,o=Debian,a=stable,n=wheezy,l=Debian,c=contrib
     origin cdn.debian.net
 500 http://cdn.debian.net/debian/ stable/main powerpc Packages
     release v=7.6,o=Debian,a=stable,n=wheezy,l=Debian,c=main
     origin cdn.debian.net
 500 http://ftp.fr.debian.org/debian/ wheezy-updates/main Translation-en
 500 http://ftp.fr.debian.org/debian/ wheezy-updates/contrib Translation-en
 500 http://ftp.fr.debian.org/debian/ wheezy-updates/contrib powerpc Packages
     release o=Debian,a=stable-updates,n=wheezy-updates,l=Debian,c=contrib
     origin ftp.fr.debian.org
 500 http://ftp.fr.debian.org/debian/ wheezy-updates/main powerpc Packages
     release o=Debian,a=stable-updates,n=wheezy-updates,l=Debian,c=main
     origin ftp.fr.debian.org
 500 http://security.debian.org/ wheezy/updates/main Translation-en
 500 http://security.debian.org/ wheezy/updates/contrib Translation-en
 500 http://security.debian.org/ wheezy/updates/contrib powerpc Packages
     release v=7.0,o=Debian,a=stable,n=wheezy,l=Debian-Security,c=contrib
     origin security.debian.org
 500 http://security.debian.org/ wheezy/updates/main powerpc Packages
     release v=7.0,o=Debian,a=stable,n=wheezy,l=Debian-Security,c=main
     origin security.debian.org
 500 http://ftp.fr.debian.org/debian/ wheezy/main Translation-fr
 500 http://ftp.fr.debian.org/debian/ wheezy/main Translation-en
 500 http://ftp.fr.debian.org/debian/ wheezy/main powerpc Packages
     release v=7.6,o=Debian,a=stable,n=wheezy,l=Debian,c=main
     origin ftp.fr.debian.org
 500 cdrom://[Debian GNU/Linux 7.6.0 _Wheezy_ - Official powerpc DVD Binary-1 20140712-15:08]/ wheezy/main Translation-fr
 500 cdrom://[Debian GNU/Linux 7.6.0 _Wheezy_ - Official powerpc DVD Binary-1 20140712-15:08]/ wheezy/main Translation-en
 500 cdrom://[Debian GNU/Linux 7.6.0 _Wheezy_ - Official powerpc DVD Binary-1 20140712-15:08]/ wheezy/contrib Translation-en
 500 cdrom://[Debian GNU/Linux 7.6.0 _Wheezy_ - Official powerpc DVD Binary-1 20140712-15:08]/ wheezy/main powerpc Packages
     origin Debian GNU/Linux 7.6.0 _Wheezy_ - Official powerpc DVD Binary-1 20140712-15:08
 500 cdrom://[Debian GNU/Linux 7.6.0 _Wheezy_ - Official powerpc DVD Binary-1 20140712-15:08]/ wheezy/contrib powerpc Packages
     origin Debian GNU/Linux 7.6.0 _Wheezy_ - Official powerpc DVD Binary-1 20140712-15:08
Paquets épinglés :
root@emac:/home/caliban#
 



pour info j'ai essayé d'installer Chromium et le flash dessus et j'ai eu ça comme réponse :

E: La valeur « wheezy-backports » n'est pas valable pour APT::Default-Release car cette version ne fait pas partie des sources disponibles.
root@emac:/home/caliban# apt-get install chromium chromium-l10n
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Aucune version du paquet chromium n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source
Cependant les paquets suivants le remplacent :
  chromium-bsu chromium-browser

E: Le paquet « chromium » n'a pas de version susceptible d'être installée
root@emac:/home/caliban# apt-get install chromium-bsu chromium-browser
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
 chromium-browser : Dépend: chromium (>= 10) mais il n'est pas installable
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
root@emac:/home/caliban#


Caliban

Hors ligne

#4 18-07-2014 02:59:43

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : (RESOLU) Impossible d'installer Adobe Flash

Salut

Problème d'architecture. Le paquet flashplugin-nonfree est disponible pour les architectures amd64 et i386 et là je lis dans ton cas Official powerpc.

"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#5 18-07-2014 04:34:44

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : (RESOLU) Impossible d'installer Adobe Flash

Bonjour,

Il ne reste plus qu'à utiliser gnash.

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#6 18-07-2014 11:28:30

Haricophile
Adhérent(e)
Lieu : Pignans (Var)
Distrib. : SID
Noyau : 4.0.0-1-amd64
(G)UI : Mate / i3 selon...
Inscription : 14-09-2009

Re : (RESOLU) Impossible d'installer Adobe Flash

Il doit y avoir moyen d'installer une ancienne version https://helpx.adobe.com/flash-player/kb … sions.html mais c'est pas vraiment souhaitable et amha ça ne marchera pas mieux que Gnash sur les sites.

C'est ça le proprio, on est totalement dépendant des fantaisies du fournisseur unique.

« Un optimiste, explique Raymond Aubrac, n’est pas un être satisfait, content de la situation actuelle. C’est quelqu’un qui pense qu’il peut faire quelque chose qui servira. »

Hors ligne

#7 18-07-2014 14:04:34

caliban
Membre
Distrib. : Version 7.6 Wheezy 32 bits
Noyau : Noyau Linux 3.2.0-4 Powerpc
(G)UI : Gnome 3.4.2
Inscription : 02-04-2010
Site Web

Re : (RESOLU) Impossible d'installer Adobe Flash

Me vl'a beau
Me vl'a refait

c'est pas tant que je sois fan d'Adobe Flash mais Gnash ne permet pas de faire tourner un site comme Deezer par exemple

eh bien merci quand même d'avoir jeté un oeil

Caliban

Hors ligne

#8 19-07-2014 00:57:06

Haricophile
Adhérent(e)
Lieu : Pignans (Var)
Distrib. : SID
Noyau : 4.0.0-1-amd64
(G)UI : Mate / i3 selon...
Inscription : 14-09-2009

Re : (RESOLU) Impossible d'installer Adobe Flash

Bah, deezer durant assez longtemps, même Ladaube Flashplayer sur Windows ne savait pas le faire tourner, du moins sur une machine avec un Windows 64 bits

« Un optimiste, explique Raymond Aubrac, n’est pas un être satisfait, content de la situation actuelle. C’est quelqu’un qui pense qu’il peut faire quelque chose qui servira. »

Hors ligne

#9 19-07-2014 09:37:22

Mavrick
Membre
Lieu : Loin de ma Bretagne natale...
Distrib. : Debian 8 (Jessie)
Noyau : Linux 3.16 amd64
(G)UI : Xfce 4.10
Inscription : 18-11-2013

Re : (RESOLU) Impossible d'installer Adobe Flash

Sur le forum Debian Fr ils parlaient d'une extension Iceweasel pour lire des vidéos sans flash : https://www.debian-fr.org/lire-les-vide … 48335.html
A voir si ça peux te servir ou non.

Adhérent April N° 9016

Hors ligne

#10 19-07-2014 21:00:50

Haricophile
Adhérent(e)
Lieu : Pignans (Var)
Distrib. : SID
Noyau : 4.0.0-1-amd64
(G)UI : Mate / i3 selon...
Inscription : 14-09-2009

Re : (RESOLU) Impossible d'installer Adobe Flash

A priori Chrome a un lecteur flash intégré, et il me semble que on peut utiliser ce lecteur... à condition d'installer chrome. Cherche donc par là si ça pouvait marcher sur powerPC.

« Un optimiste, explique Raymond Aubrac, n’est pas un être satisfait, content de la situation actuelle. C’est quelqu’un qui pense qu’il peut faire quelque chose qui servira. »

Hors ligne

Pied de page des forums